package request

type AddHostManageReq struct {
	HostName       string           `json:"hostName"`       // 主机分组名称
	HostFileUrl    string           `json:"hostFileUrl"`    // 主机文件url
	HostManageList []HostManageList `json:"hostManageList"` //主机列表
}

type HostManageList struct {
	Ip          string `json:"ip"`          // ip
	Port        string `json:"port"`        // 端口
	VoucherType int    `json:"voucherType"` // 凭证类型（0密码验证 密钥验证）
	UserName    string `json:"userName"`    // 用户名
	Password    string `json:"password"`    // 密码
}

type EditHostManageReq struct {
	Id             int              `json:"id"`             // 主键ID
	HostName       string           `json:"hostName"`       // 主机分组名称
	HostFileUrl    string           `json:"hostFileUrl"`    // 主机文件url
	HostManageList []HostManageList `json:"hostManageList"` //主机列表
}

type DelHostManageReq struct {
	Id []int `json:"id" vd:"len($)>0;msg:'请输入id'"` // 主键ID
}

type ListHostManageReq struct {
	Search         string `json:"search" form:"search"`                 //关键词
	CreateDateFrom string `json:"createDateFrom" form:"createDateFrom"` //创建时间从
	CreateDateTo   string `json:"createDateTo" form:"createDateTo"`     //创建时间至
	Pagination
}

type StateHostManageReq struct {
	Id int `json:"id" form:"id" binding:"required"` //主键ID
	Pagination
}
